Rate a chatbot conversation - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service allows users with the GENERATIVE_AI_USER role to rate a Chatbot conversation.

Method Endpoint
POST
/api/ai/rag/chat/{conversationId}/rate
Path parameter type Required? Description
conversationId String Yes The ID of the chatbot conversation to rate. Get an ID using the Search Chatbot traces web service, or in the Chatbot traces administration menu.

Request example

The following examples shows a JSON request body without tags:

{
    "profileId": "chatbot",
    "value": "1",
    "comment": "Great response!",
}

The following examples shows a JSON request body with tags:

{
    "profileId": "chatbot",
    "value": "0",
    "comment": "The chatbot answer didn't find the right information, and was a bit slow.",
    "tags": [
        "INACCURATE",
        "SLOW"
    ]
}
Field Type Required? Description
profileId String Yes A profileId of type CHATBOT.
value String Yes The value of the feedback. 0 is negative, and 1 is positive.
comment String Yes A comment associated with the rating.
Comments are limited to 5000 characters.
tags Array No A list of issues associated with negative feedback. It is only possible to add a tag if the value field is 0.

Possible values are:
  • INACCURATE
  • INCOMPLETE
  • OFF_TOPIC
  • IRRELEVANT_SOURCES
  • SLOW
  • OTHER
Return code Description
200 OK The chatbot rating has been successfully sent.
400 Bad Request Invalid JSON request body, or the requested action is impossible.

For a comprehensive list of all possible return codes, see Return codes.

Chatbot ratings are currently only available through the Retrieve events web service.

Call the Retrieve events web service using the following JSON body, for example:

{
    "startDate": "2026-04-29",
    "filters": {
        "name": [
            "chatbot.rate"
        ]
    }
}